%global debug_package %{nil}

Name:           st-community-scripts
Version:        1.0.2
Release:        1
Summary:        A simple setup tool suit
BuildArch:      noarch

License:        MPL-2.0
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  bash

%description
A simple setup program for RPM-based distros.

%prep
%setup -q


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/licenses/%{name}
mkdir -p %{buildroot}/%{_sysconfdir}/sysctl.d
mkdir -p %{buildroot}/%{_prefix}/stcc-temp
mkdir -p %{buildroot}/%{_prefix}/stcc-temp/.ZSH_CUSTOM
mkdir -p %{buildroot}/%{_prefix}/stcc-temp/fastfetch
mkdir -p %{buildroot}/opt/setup-tool/custom-scripts
chmod 777 stcc-start
cp PLACEHOLDER %{buildroot}/opt/setup-tool/custom-scripts
cp stcc-start %{buildroot}/%{_bindir}
cp .zshrc %{buildroot}/%{_prefix}/stcc-temp
cp .p10k.zsh %{buildroot}/%{_prefix}/stcc-temp
cp .ZSH_CUSTOM/* -r %{buildroot}/%{_prefix}/stcc-temp/.ZSH_CUSTOM
cp fastfetch/* %{buildroot}/%{_prefix}/stcc-temp/fastfetch
cp 90-override.conf %{buildroot}/%{_sysconfdir}/sysctl.d/
cp LICENSE %{buildroot}/%{_datadir}/licenses/%{name}

%files
%license %{_datadir}/licenses/%{name}/LICENSE
%{_prefix}/stcc-temp/.zshrc
%{_prefix}/stcc-temp/.p10k.zsh
%{_prefix}/stcc-temp/.ZSH_CUSTOM/
%{_prefix}/stcc-temp/fastfetch/
%{_sysconfdir}/sysctl.d/90-override.conf
%{_bindir}/stcc-start
/opt/setup-tool/custom-scripts/PLACEHOLDER

%changelog
%autochangelog
